Subject: Re: bug#7906: keep the buffer still in rmail mode

From: Glenn Morris <[email-masked]>
Date: Tue, 25 Jan 2011 23:29:13 -0500

retitle 7096 minor display issue when getting new mail in rmail?
severity 7096 minor
stop

[replying to off-list message]

[email-masked] wrote:

> My concern or wish are: when I enter the rmail mode, and type `g',
> the main buffer should NOT change anything if no email comes, only
> in the echo area, it prompts a string "No new email."  If some emails
> are fetched from the email box, then the main buffer is refreshed to
> display the first new email, and in the echo area it prompts how many
> emails have received, for example "2 emails received".
>
> The current situation is, whenever I typed `g', the entire buffer swing
> within very short time (maybe less than 0.1 seconds), but visually it is
> evidently for me, if such swing won't happen as I described, then it
> would be very good!

It sounds like rmail-get-new-mail might be swapping buffers unnecessarily,
or in an unnecessarily visible fashion. I still don't see it. Maybe
the effect would be more visible with a slow source of new mail, eg a
remote pop server, if someone wants to look into it.